$!**********************************************************************
$!                                                                     *
$! Name: VMSMAKE.COM                                 Date:    05.09.94 *
$! Author: Evgeni Chernyaev (chernaev@mx.ihep.su)    Revised: 07.02.95 *
$!                                                                     *
$! Function: Build XWPICK and GIFCONV under OpenVMS (VAX/ALPHA)        *
$!                                                                     *
$!**********************************************************************
$ SET VERIFY
$!
$!                Set C Compiler options
$!
$ IF (F$SEARCH("SYS$SYSTEM:DECC$COMPILER.EXE").NES."")
$ THEN
$   CC := cc/decc/prefix=ALL/standard=VAXC/nodebug/optimize
$ ELSE
$   CC := cc/nodebug/optimize
$ ENDIF
$!
$!                Compilation of common code
$!
$ CC PSencode.c
$ CC PS_LZWencode.c
$ CC PCXencode.c
$ CC GIFencode.c
$ CC PICTencode.c
$ CC PPMencode.c
$!
$!                Compilation of gifconv
$!                (do this before xwpick in case we have no DECWindows)
$!
$ CC gifconv.c
$ CC gifread.c
$!
$!                Create gifconv executable
$!
$ LINK gifconv,-
       gifread,-
       PSencode,-
       PS_LZWencode,-
       PCXencode,-
       GIFencode,-
       PICTencode,-
       PPMencode
$!
$!                Compilation of xwpick
$!
$ DEFINE/NOLOG X11 DECW$INCLUDE
$ CC xwpick.c
$ CC ImgToolKit.c
$!
$!                Create xwpick executable
$!
$ LINK xwpick,-
       ImgToolKit,-
       PSencode,-
       PS_LZWencode,-
       PCXencode,-
       GIFencode,-
       PICTencode,-
       PPMencode,-
       SYS$INPUT/OPT
SYS$LIBRARY:DECW$XLIBSHR/SHARE
$!
$!                Create help library
$!
$ LIBRARY/HELP/CREATE=BLOCK:0 XWPICK.HLB XWPICK.HLP
$!
$!                Cleaning
$!
$ DELETE/NOLOG *.obj;*
$ PURGE/NOLOG  xwpick.exe,gifconv.exe,xwpick.hlb
$ SET NOVERIFY
$ EXIT
